> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 Agent 状态



## OpenAPI

````yaml zh/api-reference/v2-openapi.json get /agent/{jobId}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent/{jobId}:
    parameters:
      - name: jobId
        in: path
        description: Agent 任务的 ID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Agent
      summary: 获取智能体任务状态
      operationId: getAgentStatus
      responses:
        '200':
          description: 成功的响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  status:
                    type: string
                    enum:
                      - processing
                      - completed
                      - failed
                  data:
                    type: object
                    description: 提取的数据（仅在状态为 completed 时可用）
                  model:
                    type: string
                    enum:
                      - spark-1-pro
                      - spark-1-mini
                    default: spark-1-pro
                    description: 本次 Agent 运行所使用的模型预设
                  error:
                    type: string
                    description: 错误信息（仅当状态为失败时出现）
                  expiresAt:
                    type: string
                    format: date-time
                  creditsUsed:
                    type: number
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````